#!/bin/sh
#
#  Dr.Web (R) init script
#  $Revision: 1.5 $
#

BIN="drwebd"
PROGRAM="/usr/local/drweb/$BIN"
PIDFILE="/var/drweb/run/drwebd.pid"

case "$1" in
    stop)
	echo -n "Shutting down Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
    	kill `head -1 $PIDFILE`    
    fi
    ;;
    reload)
	echo -n "Reloading Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
    	kill -HUP `head -1 $PIDFILE`    
    fi
    ;;
    restart)
	echo -n "Restarting Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
    	kill `head -1 $PIDFILE`    
    fi
	sleep 3
	$PROGRAM
    ;;
    start)
	echo -n "Starting Dr. Web daemon..."
	$PROGRAM
    ;;
    *)
    echo $0: 'start|stop|restart|reload'
    ;;
esac

